
find_path(OpenEXR_INCLUDE_DIR ImfHeader.h
          HINTS /usr/include /usr/local/include
          PATH_SUFFIXES OpenEXR openexr )

find_library(OpenEXR_LIBRARY_Imath NAMES Imath)
find_library(OpenEXR_LIBRARY_IlmImf NAMES IlmImf)


include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(OpenEXR  DEFAULT_MSG
                                  OpenEXR_INCLUDE_DIR OpenEXR_LIBRARY_Imath OpenEXR_LIBRARY_IlmImf)

set(OpenEXR_LIBRARY ${OpenEXR_LIBRARY_Imath} ${OpenEXR_LIBRARY_IlmImf})

mark_as_advanced(OpenEXR_INCLUDE_DIR OpenEXR_LIBRARY )

set(OpenEXR_LIBRARIES ${OpenEXR_LIBRARY} )
set(OpenEXR_INCLUDE_DIRS ${OpenEXR_INCLUDE_DIR} )
